Bug 53722 (vs-515126) - Accessibility:MAS36:KB:Fold margin is not keyboard accessible
Summary: Accessibility:MAS36:KB:Fold margin is not keyboard accessible
Status: RESOLVED FIXED
Alias: vs-515126
Product: Xamarin Studio
Classification: Desktop
Component: General (show other bugs)
Version: 6.3 (15.1)
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: 15.7
Assignee: iain
URL:
Depends on:
Blocks:
 
Reported: 2017-03-22 10:01 UTC by Ramya Sri Narasinga
Modified: 2018-05-04 14:22 UTC (History)
3 users (show)

See Also:
Tags: Accessibility,Wipro,A11yMAS,Xamarin-Studio,MAS36,vs-sync
Is this bug a regression?: ---
Last known good build:


Attachments
Screenshots (902.05 KB, image/png)
2017-03-22 10:01 UTC, Ramya Sri Narasinga
Details

Description Ramya Sri Narasinga 2017-03-22 10:01:10 UTC
Created attachment 20583 [details]
Screenshots

Testing Environment: 
macOS Sierra v 10.12.3
Xamarin v6.3 (Build 731)

Repro Steps:
1.Launch Xamarin Studio -> Open multiplatform single view app.
2.Enable Solution pad from View menu -> Pads -> Solution.
3.Select Main.cs from Appname.Droid in solution explorer.
4.Try to Access '-' which is used for folding available at row numbering.

Expected Behavior:
Not able to Access '-' symbol using keyboard so that scope of folding is not visible.

Actual Behavior:
'-' should be accessible with keyboard so that able to find scope of folding.

User Impact:
User will not be knowing till what extent code will folding.
Comment 1 Ramya Sri Narasinga 2017-03-22 10:45:14 UTC
In above bug, expected and actual behavior is interchanged. Please find the correct expected and actual behavior below:

Expected Behavior:- 
'-' should be accessible with keyboard so that able to find scope of folding.


Actual Behavior:
Not able to Access '-' symbol using keyboard so that scope of folding is not visible.
Comment 2 Dmytro Ovcharov 2017-07-21 09:18:50 UTC
The user can fold / unfold code from the keyboard using keyboard shortcuts. For the "Visual Studio" settings it will be "Ctrl M M".
Comment 3 Greg Munn 2018-05-04 14:21:06 UTC
Fixed in version 7.5.0.1000 (d15-7)
Pull Request #4326 merged by: Greg Munn
Author: mono
Commit: 6f72ee7c1ea0ffb82c140b0e5ba6f8ae1d8693bf (mono/monodevelop)

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.